{% extends "base/base.html" %}

{% load myfilter %}

{% block content %}

<h1 class="text-center">Softwares Sheets</h1> <!-- beginning top -->

<p class="text-center">
    Formated data for each software and the informations submitted by each beamlines. Each software are linked to git repos, you will find in there links to official documentation and tutorials.
    Numbers of all the softwares in this web page: <strong>{{softwaresCounter}}</strong>.
</p>

<div class="container">
    <div class="row no-gutters">
        <div class="col-md-4">
            <div class="text-center">Progress bar of all the beamlines who answered the form and the names of each beamlines.</div>
        </div>
        <div class="col-md-8">
            <div class="rating-progress-bars p-3">
                <div class="progress-1 align-items-center">
                    <div class="progress">
                        <div class="progress-bar bg-success" role="progressbar" style="width: {{percentProgress}}%;" aria-valuenow="{{beamlinesCounter}}" aria-valuemin="0" aria-valuemax="29"> {{beamlinesCounter}} out of 29 </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row no-gutters">
        <div class="col-md-4">
        </div>
        <div class="col-md-8">
            <ul class="list-unstyled"> 
                {% for beamline in allBeamlines %}                   
                <li class="title d-inline" title="{{beamline}}"></li>
                {% endfor %}
            </ul>
        </div>
    </div>
</div> <!-- end top -->

{% if softwares %}

<!-- send data

<div class="accordion mb-3" id="myAccordionData">
    <div class="card">

        <div class="card-header" id="headingData">
            <h2 class="mb-0">
                <button type="button" class="btn btn-link collapsed text-success" data-toggle="collapse"
                    data-target="#collapseData">Upload data to the git</button>
            </h2>
        </div>
        
        <div id="collapseData" class="collapse" aria-labelledby="headingData" data-parent="#myAccordionData">
            <div class="card-body">

                <div class="container">
                    <div class="row">
                        <div class="col border-right">
                            <form id="documentation-form" action="" method="post" enctype="multipart/form-data">
                                <ul class="list-group">
                                    {% csrf_token %}
                                    {{ formDocumentation }}
                                </ul>
                                <small id="documentation-help" class="form-text text-muted">
                                    Any documentation file like pdf, powerpoint. Not more than 100mb.
                                </small>
                                <button type="submit" class="btn btn-success mt-2">Submit new document</button>
                            </form>
                        </div>
                        <div class="col">
                            <form id="dataset-form" action="" method="post" enctype="multipart/form-data">
                                <ul class="list-group">
                                    {% csrf_token %}
                                    {{ formDataSet }}
                                </ul>
                                <small id="dataset-help" class="form-text text-muted">
                                    Any file that can be extracted for users. Like zip, rar or any. Not more than 100mb.
                                </small>
                                <button type="submit" class="btn btn-success mt-2">Submit new dataset</button>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        
    </div>
</div>

send data -->

<h2 class="text-center mt-2">All data (formated)</h2>

<div class="justify-content-center"> <!-- All data (formated) -->
{% for software in softwares %}

    <div class="p-2 justify-content-center">
        <div class="list-group-item">

            {% if software.beamlines_data %}

            <div class="d-flex justify-content-between">
                <div>
                    <h4>
                        <a href="{{software.software_infos|getkey:'url'}}" title="{{software.software_infos|getkey:'url'}}" target="_blank" rel="noopener noreferrer">
                        {{software.software_infos|getkey:'software name'}}
                        </a>
                        
                        <ul class="list-unstyled">
                        {% for beamline_data in software.beamlines_data %}
                        <li class="title d-inline" title={{beamline_data|getkey:'beamline name'}}></li>
                        {% endfor %}
                        </ul>
                    </h4>
                </div>
            </div>  

            <div class="justify-content-between">
                <div class="d-flex p-2 justify-content-between">
                <div class="container">

                <div class="d-flex m-2 cl">
                    
                    <div class="p-1">
                        <div class="d-flex justify-content-between">
                        <u>Description:</u>
                        </div> 

                        <ul class="list-group p-2 justify-content-between">
                        {% for beamline_data in software.beamlines_data %}
                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'description'}}</li>
                        {% endfor %}
                        </ul>
                    </div>

                </div> 

                <div class="accordion mb-3" id="myAccordion{{forloop.counter}}">
                    <div class="card">
                        <div class="card-header" id="headingOne{{forloop.counter}}">
                            <h2 class="mb-0">
                                <button type="button" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne{{forloop.counter}}">General informations</button>
                            </h2>
                        </div>
                        <div id="collapseOne{{forloop.counter}}" class="collapse" aria-labelledby="headingOne{{forloop.counter}}" data-parent="#myAccordion{{forloop.counter}}">
                            <div class="card-body"> <!-- card body 1 -->
                                
                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Software's importance:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'importance'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Installation difficulty:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'installation'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>OS support:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'os support'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                            </div> <!-- card body 1 -->
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header" id="headingTwo{{forloop.counter}}">
                            <h2 class="mb-0">
                                <button type="button" class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseTwo{{forloop.counter}}">Data informations</button>
                            </h2>
                        </div>
                        <div id="collapseTwo{{forloop.counter}}" class="collapse" aria-labelledby="headingTwo{{forloop.counter}}" data-parent="#myAccordion{{forloop.counter}}">
                            <div class="card-body"> <!-- card body 2 -->
                                
                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Data input type:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'input data'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Data output type:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'output data'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Data location:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'data location'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                            </div> <!-- card body 2 -->
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header" id="headingThree{{forloop.counter}}">
                            <h2 class="mb-0">
                                <button type="button" class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseThree{{forloop.counter}}">Development informations</button>
                            </h2>
                        </div>
                        <div id="collapseThree{{forloop.counter}}" class="collapse" aria-labelledby="headingThree{{forloop.counter}}" data-parent="#myAccordion{{forloop.counter}}">
                            <div class="card-body"> <!-- card body 3 -->
                                
                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Development status:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'development status'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Number of people working on:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'number people'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>First needed features:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'first needed features'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Secondary needed features:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'secondary needed features'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                            </div> <!-- card body 3 -->
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header" id="headingFour{{forloop.counter}}">
                            <h2 class="mb-0">
                                <button type="button" class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseFour{{forloop.counter}}">Documentation informations</button>
                            </h2>
                        </div>
                        <div id="collapseFour{{forloop.counter}}" class="collapse" aria-labelledby="headingFour{{forloop.counter}}" data-parent="#myAccordion{{forloop.counter}}">
                            <div class="card-body"> <!-- card body 4 -->
                                
                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Learning time:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'learning time'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Tutorials avaibility:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'tutorials'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                                <div class="d-flex m-2 cl">

                                    <div class="p-1">
                                        <div class="d-flex justify-content-between">
                                        <u>Data sets avaibility:</u>
                                        </div> 

                                        <ul class="list-group p-2 justify-content-between">
                                        {% for beamline_data in software.beamlines_data %}
                                        <li class="title" title={{beamline_data|getkey:'beamline name'}}>{{beamline_data|getkey:'data sets'}}</li>
                                        {% endfor %}
                                        </ul>
                                    </div>

                                </div>

                            </div> <!-- card body 4 -->
                        </div>
                    </div>
                </div>
                    
                </div>
                </div>

            </div>

            {% endif %}

        </div>
    </div>

{% endfor %}
</div> <!-- All data (formated) -->

<h2 class="text-center mt-2">All data (raw)</h2>

<ul>
    {% for software in softwares %}
    <li>
        {{software}}
    </li>
    {% endfor %}
</ul>

{% else %}
<p class="text-center">There are no data.</p>
{% endif %}

{% endblock %}